> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Terminate Subscription

> Creates termination request for customer subscription.



## OpenAPI

````yaml openapi/ecommerce.yaml post /public/{user_id}/subscriptions/{subscription_uuid}/terminate
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/subscriptions/{subscription_uuid}/terminate:
    post:
      tags:
        - Subscription
      summary: Terminate Subscription
      description: Creates termination request for customer subscription.
      operationId: terminateSubscription
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: aspernatur
        - name: subscription_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: a6b2359d-c8e5-3c4b-bf16-b296c8281956
      requestBody:
        content:
          application/json:
            schema:
              required:
                - type
                - reason
                - meta
              type: object
              properties:
                type:
                  enum:
                    - end_of_period
                  type: string
                  description: ''
                  example: end_of_period
                reason:
                  type: string
                  description: Must not be greater than 255 characters.
                  example: rzrjuepvjfmommbemp
                details:
                  type: string
                  description: Must not be greater than 600 characters.
                  nullable: true
                  example: l
                meta:
                  type: object
                  properties:
                    use_again:
                      type: boolean
                      description: ''
                      nullable: true
                      example: false
                  description: The meta data of the termination request.
                  example:
                    use_again: true
            example:
              type: end_of_period
              reason: rzrjuepvjfmommbemp
              details: l
              meta:
                use_again: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: 1e16b4f8-6269-337a-bd95-581ac26d5dbc
                      type:
                        type: string
                        example: immediate
                      status:
                        type: string
                        example: completed
                      reason:
                        type: string
                        example: Fugiat nesciunt in eos.
                      details:
                        type: string
                        example: >-
                          Occaecati et aliquam quia omnis dolorem magnam.
                          Sapiente aut consequatur molestiae vitae. Delectus
                          consequatur aut quia voluptas in.
                      meta:
                        type: object
                        properties:
                          use_again:
                            type: boolean
                            example: true
                      requested_at:
                        type: string
                        example: '2026-03-11T14:05:32+00:00'
                      terminated_at:
                        type: string
                        example: '2026-03-03T14:05:32+00:00'
                example:
                  data:
                    uuid: 1e16b4f8-6269-337a-bd95-581ac26d5dbc
                    type: immediate
                    status: completed
                    reason: Fugiat nesciunt in eos.
                    details: >-
                      Occaecati et aliquam quia omnis dolorem magnam. Sapiente
                      aut consequatur molestiae vitae. Delectus consequatur aut
                      quia voluptas in.
                    meta:
                      use_again: true
                    requested_at: '2026-03-11T14:05:32+00:00'
                    terminated_at: '2026-03-03T14:05:32+00:00'
              example:
                data:
                  uuid: 1e16b4f8-6269-337a-bd95-581ac26d5dbc
                  type: immediate
                  status: completed
                  reason: Fugiat nesciunt in eos.
                  details: >-
                    Occaecati et aliquam quia omnis dolorem magnam. Sapiente aut
                    consequatur molestiae vitae. Delectus consequatur aut quia
                    voluptas in.
                  meta:
                    use_again: true
                  requested_at: '2026-03-11T14:05:32.0000000+00:00'
                  terminated_at: '2026-03-03T14:05:32.0000000+00:00'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````